.wp-block-woocommerce-product-details {
	.woocommerce-tabs {
		.wc-tabs,
		.panel-title {
			list-style: none;
		    margin: 0;
		    padding: 0;
		    font-size: 15px;
		    font-weight: 500;
		    margin-bottom: 30px;
		    border:0;

            display: flex;
            align-items: center;
            gap: 20px;

		    a {
		        padding: 10px 25px;
		        border: 1px solid var(--wp--preset--color--gray-300);
		        border-radius: 60px;
		        display: inline-block;
		        color: var(--wp--preset--color--contrast);

		    }

		    li.active a,
            &.active a,
            a:hover,
            a:focus {
                color: var(--wp--preset--color--base);
                border: 1px solid var(--wp--preset--color--contrast);
                background-color: var(--wp--preset--color--contrast);
            }
			
		}

		@media (max-width:1023px) {
            padding-bottom: 0;
            margin-top: 40px;

            .reviews_tab:not(.active) {
                border-bottom-width: 0;
            }

            .panel-title.active:not(.reviews_tab) + .panel {
                margin: 0 -2.5rem;
                padding:2.5rem;
            }
        }

        @media (max-width:600px) {
            .panel-title.active:not(.reviews_tab) + .panel {
                margin: 0 -1.5rem;
                
            }
        }

        @media (max-width:768px) {
            .panel-title.active:not(.reviews_tab) + .panel {
                padding:0 2.5rem 2.5rem;
            }
        }

		.woocommerce-Tabs-panel {
			max-width: 100%;

			> h2 {
	            display: none;
	        }

	        > p:last-child {
	            margin-bottom: 0;
	        }

	        &.woocommerce-Tabs-panel--additional_information {
	        	> h2 {
	        		font-size: 25px;
				    font-weight: 700;
				    line-height: 1.6;
				    margin-bottom: 19px;
				    display: block;
	        	}

	            p {
	                margin: 0;
	            }

	            table {

	                th,td {
	                    font-size: 15px;
	                    line-height: 50px;
	                }

	                th {
	                    font-weight: 500;

	                    @media(min-width: 1280px) {
	                    	width: 348px;
	                    }
	                }

	                tr:not(:last-child) {
			          	border-bottom: 1px solid var(--wp--preset--color--gray-300);
			        }
	            }
	        }

	        &.woocommerce-Tabs-panel--reviews {
	    		.comment-form {
					textarea, 
					input[type="text"],
					input[type="email"] {
						box-sizing: border-box;
						border-color: var(--wp--preset--color--gray-300);

						&:focus {
							border-color: var(--wp--preset--color--contrast);
						}
					}

					.comment-notes {
						font-size: 15px;
						line-height: 24px;
						margin-bottom: 30px;
					}

					.comment-form-cookies-consent {
						display: flex;
						align-items: center;
						gap: 4px;
						margin-bottom: 30px;

						label {
							flex: 1 0 0;
						}
					}

				    .comment-form-rating{
				        margin-bottom: 30px;
				        margin-top: 0;

				        label {
				        	margin-bottom: 10px;
				        }
				    }

				    .comment-form-comment,
				    .comment-form-author,
				    .comment-form-email {
				    	margin-bottom: 25px;
				    	margin-top: 0;

				    	label {
				        	margin-bottom: 5px;
				        }
				    }

				    .stars {
			            margin: 0;

			            span {
			                display: flex;
			                gap: 10px;
			                flex-wrap: wrap;

			                a {
			                    display: flex;
			                    padding: 11px 30px;
			                    gap: 6.5px;
			                    border: 1px solid var(--wp--preset--color--gray-300);
			                    border-radius: 60px;
			                    transition: 0.3s ease-in-out;
			                    font-size: 15px;
			                    line-height: 24px;
			                    color: var(--wp--preset--color--contrast);
			                    font-size: 0;

			                    @media (max-width:600px) { 
			                         padding: 12px 20px;
			                    }

			                    &::before {
			                        font-family: "WooCommerce";
			                        content: 's';
			                        font-size: 14px;
			                    }

			                    &:hover {
			                        border-color: var(--wp--preset--color--contrast);
			                    }

			                    &:hover::before,
			                    &.active::before {
			                        content: 'S';
			                        border-color: var(--wp--preset--color--warning-100);
			                        color: var(--wp--preset--color--primary);
			                        -webkit-text-stroke: 1px var(--wp--preset--color--warning-100);
			                        text-shadow: 0.5px 0 var(--wp--preset--color--warning-100), -0.5px 0 var(--wp--preset--color--warning-100), 0 0.5px var(--wp--preset--color--warning-100), 0 -0.5px var(--wp--preset--color--warning-100);
			                    }

			                    &.active {
			                        border-color: var(--wp--preset--color--contrast);
			                        color: var(--wp--preset--color--contrast);
			                    }

			                    &:after {
			                    	font-size: 15px;
			                    	font-weight: 500;
			                    }

			                    &.star-1::after { content: "1"; }
			                    &.star-2::after { content: "2"; }
			                    &.star-3::after { content: "3"; }
			                    &.star-4::after { content: "4"; }
			                    &.star-5::after { content: "5"; }
			                }
			            }
			        }
				}

	        }

	        .woocommerce-Reviews {
	        	display: flex;
			    flex-direction: column;
			    gap: 40px;
			    @media(min-width: 1200px) {
			    	gap: 120px;
			    }

				ol.commentlist {
					margin-top: 0;
				    margin-bottom: 0;
				    list-style: none;
				    padding: 0;

				    li {
				        padding-bottom: 30px;
				        margin-bottom: 30px;
				        border-bottom: 1px solid var(--wp--preset--color--gray-300);

						&:last-child {
							margin-bottom: 0;
						}

				        .comment_container {
					        display: flex;
					        gap: 28px;

					        .avatar {
						        border-radius: 50%;
						        align-self: flex-start;

						        @media(min-width: 1024px) {
						        	width: 91px;
						        	height: 91px;
						        }
						    }

						    .comment-text {
						        display: flex;
						        flex-direction: column;
						        gap: 10px;

						        @media(min-width: 1280px) {
						        	padding-top: 10px;
						        }

						        .star-rating {
						            margin-bottom: 0;
						            height: 1.05em;
						            width: 6.5em;
								    letter-spacing: 0.3em;
								    font-size: 12px;
						        }

						        .meta {
						            display: flex;
						            flex-direction: column;
						            margin-bottom: 0;
						            @media (min-width:768px) {
						                flex-direction: row;
						                align-items: center;
						                gap: 15px;
						            }
						        }

						        .description {
						            font-size: 15px;
						            line-height: 30px;

						            p:last-child {
						                margin-bottom: 0;
						            }
						        }

						        .woocommerce-review__author {
						            text-transform: capitalize;
						            font-size: 17px;
						            line-height: 28px;
						            font-weight: 700;
						        }

						        .woocommerce-review__published-date {
						            font-size: 15px;
						            line-height: 24px;
						            color: var(--wp--preset--color--gray-200);
						        }

						        .woocommerce-review__dash {
						            display: none;
						        }
				    		}
					    }
				    }
				}
			}

			.woocommerce-noreviews {
	            padding: 10px 20px;
	            background-color: var(--wp--preset--color--info-100);
	            margin-bottom: 16px;
	            border-radius: 6px;
	        }	
	    }
	}
}

@media(max-width: 767px) {
	.wp-block-woocommerce-product-details {
		&.max-md\:d-block {
			.woocommerce-tabs {
				.wc-tabs {
					display: block;

					li + li {
						margin-top: 20px;
					}
				}
			}
		}
	}

}

@media(max-width: 1023px) { 
	.commentlist .comment_container .avatar {
		width: 60px;
		height: 60px;
	}
}


@media(min-width: 1024px) {
	.product-reviews-container,
	#review_form_wrapper #review_form {
		display: flex;
		justify-content: flex-start; 
	  	align-items: flex-start;
		gap: 10.5%;
		.reviews-summary-section,
		.review-form-header {
			flex-basis: 32%;
		}

		#comments,
		.review-form-container {
	  		flex-basis: 57.5%;
	  	}
	}
}

.product-reviews-container {
	.rating-score-wrapper {
		border: 1px solid var(--wp--preset--color--gray-300);
		border-radius: 8px;
		width: 238px;
        display: flex;
        flex-direction: column;
        gap: 5px;
        align-items: center;
        padding-top: 40px;
        padding-bottom: 39px;
        margin-bottom: 30px;

	}

	.avg-rating-score {
    	font-size: 50px;
		font-weight: 700;
		margin: 0;
		line-height: 1.3;
    }

    .reviews-total-count {
    	margin: 0;
    	font-size: 15px;
    	font-weight: 400;
    	line-height: 24px;
    }

    .comment-reply-title {
        font-size: 25px;
        line-height: 1.3;
        font-weight: 700;
        display: block;
        margin-bottom: 0;
    }

    .woocommerce-Reviews-title {
      font-size: 25px;
      line-height: 40px;
      font-weight: 700;
      display: block;
      margin-bottom: 60px;
	}
}

/* stylelint-disable no-descending-specificity */
.product-reviews-container .avg-rating-stars .star-rating {
  	width: 7.6em;
    font-size: 20px;
    margin: 0px;
    line-height: 1;
    color: var(--wp--preset--color--primary);
    letter-spacing: 12px;
    height: 1.05em;
}
/* stylelint-enable no-descending-specificity */


.woocommerce {
	.woocommerce-Reviews {
		.product-reviews-container {
			#comments {
				margin-bottom: 0;
				margin-top: 40px;

				@media(min-width: 1023px) {
					margin-top: 0;
				}
			}
		}

		.review-form-header {
			.comment-reply-title {
				font-size: 25px;
			}
		}
	}

	.star-rating {
		float: right;
	    overflow: hidden;
	    position: relative;
	    height: 1em;
	    line-height: 1;
	    font-size: 1em;
	    width: 5.4em;
	    font-family: WooCommerce;

	    &::before {
		    content: "sssss";
		    float: left;
		    top: 0;
		    left: 0;
		    position: absolute;
		    color: var(--wp--preset--color--warning-100);
		}

		span {
		    overflow: hidden;
		    float: left;
		    top: 0;
		    left: 0;
		    position: absolute;
		    padding-top: 1.5em;

		    &:before {
			    content: "SSSSS";
			    top: 0;
			    position: absolute;
			    left: 0;
			    color: var(--wp--preset--color--primary);
			    -webkit-text-stroke: 1px var(--wp--preset--color--warning-100);
			}
		}
	}
}

.rating-histogram {
	display: flex;
    flex-direction: column;
    gap: 18px;

    @media(min-width: 768px) {
   	 	width: 80%;
   	}

	.histogram-row {
		display: flex;
		align-items: center;
		gap: 15px;

		.rating-label {
			display: flex;
			gap: 5px;
			align-items: center;

			&:after {
				content: "";
			    display: inline-block;
			    width: 12px;
			    height: 12px;
			    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='0 0 12 12' fill='none'><path d='M6 0.5C6.36225 0.5 6.69203 0.688886 6.87793 0.990234L6.94824 1.12598L6.94922 1.12695L7.97168 3.52246L10.5615 3.75781C10.9726 3.79501 11.3215 4.07366 11.4492 4.46582V4.4668C11.5765 4.85927 11.4588 5.28916 11.1484 5.56152L9.18945 7.2793L9.76758 9.82227V9.82324C9.8583 10.2254 9.70185 10.6428 9.36621 10.8857C9.03168 11.1281 8.58654 11.1481 8.23242 10.9365L6 9.60156L3.76758 10.9365C3.60442 11.0341 3.42118 11.083 3.23828 11.083C3.02594 11.083 2.81327 11.0178 2.63281 10.8867V10.8857C2.29762 10.6427 2.14176 10.2252 2.23242 9.82324V9.82227L2.80957 7.2793L0.851562 5.56152C0.540952 5.28904 0.42328 4.85793 0.550781 4.46582V4.46484C0.67889 4.0742 1.02667 3.79573 1.4375 3.75781H1.43848L4.02734 3.52246L5.05176 1.12695C5.21405 0.74644 5.58637 0.500002 6 0.5Z' fill='%23F6EB16' stroke='%23BBB209'/></svg>");
			    background-size: contain;
			    background-repeat: no-repeat;
			    background-position: center;
			}
		}
		&:last-child {
			.rating-label {
				gap:10px;
			}
		}
	}

	.rating-count {
		font-size: 15px;
		font-weight: 500;
		line-height: 24px;
	}

	.progress {
		display: flex;
		border-radius: 8px;
		background-color: var(--wp--preset--color--light);
		height: 8px;
		width: 100%;

		.progress-bar {
			display: flex;
		    flex-direction: column;
		    justify-content: center;
		    color: #fff;
		    text-align: center;
		    white-space: nowrap;
		    background-color: var(--wp--preset--color--primary);
		    transition: width .6s ease;
		    border-radius: 8px;
		}
	}
}
